﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebDataGrid_sample
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Salary", typeof(int));
            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("CheckBox", typeof(bool));
            dt.Columns.Add("Approved_Flag", typeof(bool));
            dt.Rows.Add(new object[] { 101, "Chris", 546, "02/03/2012", true, false });
            dt.Rows.Add(new object[] { 102, "Mary", 8489, "05/04/2010", true, true });
            dt.Rows.Add(new object[] { 103, "Ajay", 564, "06/05/3022", true, false });
            dt.Rows.Add(new object[] { 104, "Rahul", 563, "06/05/3022", true, true });
            dt.Rows.Add(new object[] { 105, "Sanjay", 565, "06/05/3022", true, true });
            DataColumn[] dc = new DataColumn[1];
            dc[0] = dt.Columns["ID"];
            dt.PrimaryKey = dc;
            this.WebDataGrid1.DataKeyFields = "ID";
            this.WebDataGrid1.DataSource = dt;
            this.WebDataGrid1.DataBind();
        }

    }
}